SubstructUtils.h File Reference
`#include <RDGeneral/export.h>`
`#include "SubstructMatch.h"`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.

## Functions

RDKIT_SUBSTRUCTMATCH_EXPORT double | RDKit::toPrime (const MatchVectType &v)
RDKIT_SUBSTRUCTMATCH_EXPORT void | RDKit::removeDuplicates (std::vector< MatchVectType > &v, unsigned int nAtoms)
RDKIT_SUBSTRUCTMATCH_EXPORT bool | RDKit::atomCompat (const Atom *a1, const Atom *a2, const SubstructMatchParameters &ps)
RDKIT_SUBSTRUCTMATCH_EXPORT bool | RDKit::chiralAtomCompat (const Atom *a1, const Atom *a2)
RDKIT_SUBSTRUCTMATCH_EXPORT bool | RDKit::bondCompat (const Bond *b1, const Bond *b2, const SubstructMatchParameters &ps)
RDKIT_SUBSTRUCTMATCH_EXPORT const MatchVectType & | RDKit::getMostSubstitutedCoreMatch (const ROMol &mol, const ROMol &core, const std::vector< MatchVectType > &matches)
RDKIT_SUBSTRUCTMATCH_EXPORT std::vector< MatchVectType > | RDKit::sortMatchesByDegreeOfCoreSubstitution (const ROMol &mol, const ROMol &core, const std::vector< MatchVectType > &matches)